;              
CREATE USER IF NOT EXISTS SENTRY SALT 'b0df94730611a3e9' HASH 'c7cdc0507313271f8b5fd51c9daadf4961a44c60f73e61bd34db2b1b91dcc3cd' ADMIN;        
CREATE SEQUENCE PUBLIC.HIBERNATE_SEQUENCE START WITH 1;        
CREATE CACHED TABLE PUBLIC.ACQ_DATA(
    RUN_NO INTEGER NOT NULL,
    SEQ_FILES_CREATED INTEGER
);             
ALTER TABLE PUBLIC.ACQ_DATA ADD CONSTRAINT PUBLIC.CONSTRAINT_C PRIMARY KEY(RUN_NO);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ACQ_DATA; 
CREATE CACHED TABLE PUBLIC.ACTIVE_DATA(
    RUN_NO INTEGER NOT NULL,
    SEQ_NO INTEGER NOT NULL,
    RAID_CHECKSUM_VALID BOOLEAN,
    RAID_HOST VARCHAR(255),
    RAID_FILENAME VARCHAR(255),
    RAID_SUBPATH VARCHAR(255),
    ARCHIVE_TIMESTAMP TIMESTAMP,
    NERSC_ENTRY_UPDATE TIMESTAMP,
    DTM_ENTRY_UPDATE TIMESTAMP
);             
ALTER TABLE PUBLIC.ACTIVE_DATA ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(RUN_NO, SEQ_NO); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ACTIVE_DATA;              
CREATE CACHED TABLE PUBLIC.ARCHIVE_DATA(
    RUN_NO INTEGER NOT NULL,
    SEQ_NO INTEGER NOT NULL,
    RAID_CHECKSUM_VALID BOOLEAN,
    RAID_HOST VARCHAR(255),
    RAID_FILENAME VARCHAR(255),
    RAID_SUBPATH VARCHAR(255),
    ARCHIVE_TIMESTAMP TIMESTAMP,
    NERSC_ENTRY_UPDATE TIMESTAMP,
    DTM_ENTRY_UPDATE TIMESTAMP
);            
ALTER TABLE PUBLIC.ARCHIVE_DATA ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(RUN_NO, SEQ_NO);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ARCHIVE_DATA;             
CREATE CACHED TABLE PUBLIC.LASTWATCHED(
    LASTWATCHEDKEY INTEGER NOT NULL,
    LASTDATETIME TIMESTAMP NOT NULL,
    ROLE VARCHAR(255) NOT NULL
);            
ALTER TABLE PUBLIC.LASTWATCHED ADD CONSTRAINT PUBLIC.CONSTRAINT_D PRIMARY KEY(LASTWATCHEDKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LASTWATCHED;              
CREATE CACHED TABLE PUBLIC.POI(
    POINTOFINTERESTKEY INTEGER NOT NULL,
    LEVEL INTEGER,
    STATUS INTEGER,
    WHENOCCURRED TIMESTAMP,
    GUID_POIGUIDKEY INTEGER,
    TYPE_POITYPEKEY INTEGER
);        
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(POINTOFINTERESTKEY);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POI;      
CREATE CACHED TABLE PUBLIC.POIATTRIBUTE(
    POIATTRIBUTEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255),
    NAME_POIATTRIBUTENAMEKEY INTEGER,
    POINTOFINTEREST_POINTOFINTERESTKEY INTEGER
); 
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(POIATTRIBUTEKEY);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTE;             
CREATE CACHED TABLE PUBLIC.POIATTRIBUTENAME(
    POIATTRIBUTENAMEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
);               
ALTER TABLE PUBLIC.POIATTRIBUTENAME ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(POIATTRIBUTENAMEKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIATTRIBUTENAME;         
CREATE CACHED TABLE PUBLIC.POIGUID(
    POIGUIDKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POIGUID ADD CONSTRAINT PUBLIC.CONSTRAINT_12 PRIMARY KEY(POIGUIDKEY);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POIGUID;  
CREATE CACHED TABLE PUBLIC.POITYPE(
    POITYPEKEY INTEGER NOT NULL,
    VALUE VARCHAR(255)
); 
ALTER TABLE PUBLIC.POITYPE ADD CONSTRAINT PUBLIC.CONSTRAINT_12E PRIMARY KEY(POITYPEKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.POITYPE;  
CREATE CACHED TABLE PUBLIC.RUNDELIVERY(
    RUNDELIVERYKEY INTEGER NOT NULL,
    RUNNUMBER INTEGER,
    SURFCOUNT INTEGER,
    UKDCCONFIRMABLE INTEGER,
    UKDCCOUNT INTEGER,
    USDCCONFIRMABLE INTEGER,
    USDCCOUNT INTEGER,
    WHENSTARTED TIMESTAMP,
    PREVIOUS_RUNDELIVERYKEY INTEGER
);           
ALTER TABLE PUBLIC.RUNDELIVERY ADD CONSTRAINT PUBLIC.CONSTRAINT_5 PRIMARY KEY(RUNDELIVERYKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RUNDELIVERY;              
CREATE CACHED TABLE PUBLIC.SEENITEM(
    SEENITEMKEY INTEGER NOT NULL,
    ITEM VARCHAR(256) NOT NULL,
    LASTWATCHED_LASTWATCHEDKEY INTEGER NOT NULL
);      
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_6 PRIMARY KEY(SEENITEMKEY);       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SEENITEM; 
CREATE CACHED TABLE PUBLIC.TBLOPERATIONS(
    OP_NO INTEGER NOT NULL,
    RUN_NO INTEGER,
    OP_REPORT VARCHAR(255),
    OP_END_TIME TIMESTAMP,
    OP_START_TIME TIMESTAMP
);
ALTER TABLE PUBLIC.TBLOPERATIONS ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(OP_NO);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TBLOPERATIONS;            
CREATE CACHED TABLE PUBLIC.WAITINGACTION(
    WAITINGACTIONKEY INTEGER NOT NULL,
    NAME VARCHAR(255) NOT NULL
);             
ALTER TABLE PUBLIC.WAITINGACTION ADD CONSTRAINT PUBLIC.CONSTRAINT_AC PRIMARY KEY(WAITINGACTIONKEY);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.WAITINGACTION;            
CREATE CACHED TABLE PUBLIC.WAITINGCHANGEDITEM(
    WAITINGITEMKEY INTEGER NOT NULL,
    IDENTITY VARCHAR(255) NOT NULL,
    TIMESTAMP TIMESTAMP,
    ACTION_WAITINGACTIONKEY INTEGER
);        
ALTER TABLE PUBLIC.WAITINGCHANGEDITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_6B PRIMARY KEY(WAITINGITEMKEY);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.WAITINGCHANGEDITEM;       
CREATE CACHED TABLE PUBLIC.WAITINGITEM(
    WAITINGITEMKEY INTEGER NOT NULL,
    IDENTITY VARCHAR(255) NOT NULL,
    ACTION_WAITINGACTIONKEY INTEGER
);        
ALTER TABLE PUBLIC.WAITINGITEM ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(WAITINGITEMKEY); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.WAITINGITEM;              
ALTER TABLE PUBLIC.RUNDELIVERY ADD CONSTRAINT PUBLIC.UKTJSTVI2OW8HCPKQWWYGWEQSW0 UNIQUE(RUNNUMBER);            
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKT89QJ0M0JXAPDI0MYPKW02XGL FOREIGN KEY(NAME_POIATTRIBUTENAMEKEY) REFERENCES PUBLIC.POIATTRIBUTENAME(POIATTRIBUTENAMEKEY) NOCHECK;       
ALTER TABLE PUBLIC.POIATTRIBUTE ADD CONSTRAINT PUBLIC.FKHBMF9108SV87MR5ESWKSO49BR FOREIGN KEY(POINTOFINTEREST_POINTOFINTERESTKEY) REFERENCES PUBLIC.POI(POINTOFINTERESTKEY) NOCHECK;           
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKGKQLHIVYE5D9X3CA1JWR6H08V FOREIGN KEY(TYPE_POITYPEKEY) REFERENCES PUBLIC.POITYPE(POITYPEKEY) NOCHECK;           
ALTER TABLE PUBLIC.SEENITEM ADD CONSTRAINT PUBLIC.FKLE7RSA4D2LRPKJAJTUVC6QMYJ FOREIGN KEY(LASTWATCHED_LASTWATCHEDKEY) REFERENCES PUBLIC.LASTWATCHED(LASTWATCHEDKEY) NOCHECK;   
ALTER TABLE PUBLIC.POI ADD CONSTRAINT PUBLIC.FKF2ERW9J5MH3342UTU16ON4EGP FOREIGN KEY(GUID_POIGUIDKEY) REFERENCES PUBLIC.POIGUID(POIGUIDKEY) NOCHECK;           
ALTER TABLE PUBLIC.RUNDELIVERY ADD CONSTRAINT PUBLIC.FKL7P66Q044SBQ6Q6BND3HA1LAD FOREIGN KEY(PREVIOUS_RUNDELIVERYKEY) REFERENCES PUBLIC.RUNDELIVERY(RUNDELIVERYKEY) NOCHECK;   
ALTER TABLE PUBLIC.WAITINGCHANGEDITEM ADD CONSTRAINT PUBLIC.FKJ3A2OHSMX0FWIOYCJ1YDXOTGU FOREIGN KEY(ACTION_WAITINGACTIONKEY) REFERENCES PUBLIC.WAITINGACTION(WAITINGACTIONKEY) NOCHECK;        
ALTER TABLE PUBLIC.WAITINGITEM ADD CONSTRAINT PUBLIC.FK2VEQUU0GJIO15GD8LHLK6W4N4 FOREIGN KEY(ACTION_WAITINGACTIONKEY) REFERENCES PUBLIC.WAITINGACTION(WAITINGACTIONKEY) NOCHECK;               
